Boost.Geometry.Index

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Typedefs
Public Types | Public Member Functions
boost::geometry::index::detail::indexable< Value, IsIndexable > Struct Template Reference

The function object extracting Indexable from Value. More...

`#include <indexable.hpp>`

List of all members.

## Public Types

typedef Value const & | result_type
| The type of result returned by function object.

## Public Member Functions

result_type | operator() (Value const &v) const
| Return indexable extracted from the value.

## Detailed Description

### template<typename Value, bool IsIndexable = is_indexable<Value>::value>
struct boost::geometry::index::detail::indexable< Value, IsIndexable >

The function object extracting Indexable from Value.

It translates Value object to Indexable object. The default version handles Values which are Indexables. This template is also specialized for std::pair<Indexable, T2>, boost::tuple<Indexable, ...> and std::tuple<Indexable, ...>.

Template Parameters:

  Value | The Value type which may be translated directly to the Indexable.
  IsIndexable | If true, the const reference to Value is returned.

## Member Function Documentation

template<typename Value, bool IsIndexable = is_indexable<Value>::value>

result_type boost::geometry::index::detail::indexable< Value, IsIndexable >::operator() | ( | Value const & | v | ) | const`[inline]`

Return indexable extracted from the value.

Parameters:

  v | The value.

Returns:
  The indexable.

Reimplemented in boost::geometry::index::indexable< Value >.

The documentation for this struct was generated from the following file:

- /home/travis/build/boostorg/boost/boost/geometry/index/indexable.hpp

All Classes Functions Typedefs